> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kukkingu.software/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> Retrieves contacts for the authenticated tenant.



## OpenAPI

````yaml https://api.contracting.kukkingu.software/api/v1/docs.json get /api/v1/contacts
openapi: 3.1.0
info:
  title: Contracting Backend API
  version: 0.1.0
  description: API documentation for the Contracting backend service.
servers:
  - url: https://api.contracting.kukkingu.software
    description: API server
security:
  - bearerAuth: []
paths:
  /api/v1/contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: Retrieves contacts for the authenticated tenant.
      parameters:
        - schema:
            type: string
            example: client,emails,addresses
            description: >-
              Comma-separated list of relations to expand. Allowed values:
              client, emails, addresses.
          in: query
          name: expand
        - schema:
            type: string
            description: Unique identifier of the client.
            example: clnt_z2b3mo8qa5kzptgsu26q2wmh
          in: query
          name: clientId
        - schema:
            type: string
            example: tnt_pfh0haxfpzowht3oi213cqos
            description: >-
              Specifies the tenant context for the request. All endpoints
              operate within this tenant scope.
          in: header
          name: tenant-id
          required: true
          description: >-
            Specifies the tenant context for the request. All endpoints operate
            within this tenant scope.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The ID of the contact.
                          example: con_xlbg6ubfio7tzvsijyp5794c
                        client:
                          anyOf:
                            - type: string
                              description: Unique identifier of the client.
                              example: clnt_z2b3mo8qa5kzptgsu26q2wmh
                            - type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier of the client.
                                  example: clnt_z2b3mo8qa5kzptgsu26q2wmh
                                name:
                                  type: string
                                  minLength: 1
                                  maxLength: 255
                                  description: The name of the client.
                                  example: Acme Corporation
                                description:
                                  type: string
                                  maxLength: 1024
                                  description: >-
                                    Additional information describing the
                                    client.
                                  example: >-
                                    A leading provider of road runner
                                    deterrents.
                                order:
                                  type: integer
                                  minimum: 0
                                  maximum: 9007199254740991
                                  description: Order of the resource for sorting purposes.
                                  example: 13
                                createdAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  description: Timestamp when the client was created.
                                  example: '2023-10-05T14:48:00.000Z'
                                updatedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                  description: Timestamp when the client was last updated.
                                  example: '2023-10-05T14:48:00.000Z'
                              required:
                                - id
                                - name
                                - createdAt
                                - updatedAt
                              additionalProperties: false
                              description: Client resource returned by the API.
                          description: >-
                            Expandable Client field represented either as an ID
                            or a fully expanded object.
                        emails:
                          type: array
                          items:
                            anyOf:
                              - type: string
                                description: The ID of the email.
                                example: eml_vfj7s2ym02jvykrnbl9xufrt
                              - type: object
                                properties:
                                  id:
                                    type: string
                                    description: The ID of the email.
                                    example: eml_vfj7s2ym02jvykrnbl9xufrt
                                  address:
                                    type: string
                                    minLength: 1
                                    maxLength: 200
                                    format: email
                                    pattern: >-
                                      ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                    description: Email address.
                                    example: contact@example.com
                                  order:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                    description: >-
                                      Order of the resource for sorting
                                      purposes.
                                    example: 13
                                  createdAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                    description: Timestamp when the email was created.
                                    example: '2023-10-05T14:48:00.000Z'
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                    description: Timestamp when the email was last updated.
                                    example: '2023-10-05T14:48:00.000Z'
                                required:
                                  - id
                                  - address
                                  - createdAt
                                  - updatedAt
                                additionalProperties: false
                                description: Nested email resource returned by the API.
                          description: Emails belonging to the contact.
                        addresses:
                          type: array
                          items:
                            anyOf:
                              - type: string
                                description: The ID of the address.
                                example: adr_ekq4ymw1nyyd4b6k6f5tg3t6
                              - type: object
                                properties:
                                  id:
                                    type: string
                                    description: The ID of the address.
                                    example: adr_ekq4ymw1nyyd4b6k6f5tg3t6
                                  address1:
                                    type: string
                                    minLength: 1
                                    maxLength: 200
                                    description: Primary address line.
                                    example: 123 Main St
                                  address2:
                                    type: string
                                    maxLength: 200
                                    description: Secondary address line.
                                    example: Suite 400
                                  region:
                                    type: string
                                    maxLength: 100
                                    description: State or region for the address.
                                    example: California
                                  country:
                                    type: string
                                    minLength: 1
                                    maxLength: 100
                                    description: Country for the address.
                                    example: United States
                                  city:
                                    type: string
                                    minLength: 1
                                    maxLength: 100
                                    description: City for the address.
                                    example: San Francisco
                                  zip:
                                    type: string
                                    minLength: 1
                                    maxLength: 20
                                    description: Postal or ZIP code.
                                    example: '94103'
                                  order:
                                    type: integer
                                    minimum: 0
                                    maximum: 9007199254740991
                                    description: >-
                                      Order of the resource for sorting
                                      purposes.
                                    example: 13
                                  createdAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                    description: Timestamp when the address was created.
                                    example: '2023-10-05T14:48:00.000Z'
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                    description: >-
                                      Timestamp when the address was last
                                      updated.
                                    example: '2023-10-05T14:48:00.000Z'
                                required:
                                  - id
                                  - address1
                                  - address2
                                  - region
                                  - country
                                  - city
                                  - zip
                                  - createdAt
                                  - updatedAt
                                additionalProperties: false
                                description: Nested address resource returned by the API.
                          description: Addresses belonging to the contact.
                        name:
                          type: string
                          minLength: 1
                          maxLength: 255
                          description: The full name of the contact.
                          example: Jane Doe
                        salutation:
                          description: The salutation of the contact.
                          example: Ms.
                          type: string
                          maxLength: 50
                        isDefault:
                          type: boolean
                          description: >-
                            Whether the contact is the default contact for a
                            client.
                          example: true
                        order:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                          description: Order of the resource for sorting purposes.
                          example: 13
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          description: Timestamp when the contact was created.
                          example: '2023-10-05T14:48:00.000Z'
                        updatedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          description: Timestamp when the contact was last updated.
                          example: '2023-10-05T14:48:00.000Z'
                      required:
                        - id
                        - client
                        - emails
                        - addresses
                        - name
                        - isDefault
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                      description: Contact resource returned by the API.
                    description: List of contacts returned by the API.
                required:
                  - data
                additionalProperties: false
                description: Standard success response payload wrapped in a data property.
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    default: Unauthorized
                    description: Machine-readable error code.
                    example: Unauthorized
                    type: string
                  message:
                    default: Unauthorized
                    description: Human-readable error message.
                    example: Unauthorized
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
                description: Error response for requests without valid authentication.
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    default: Forbidden
                    description: Machine-readable error code.
                    example: Forbidden
                    type: string
                  message:
                    default: Forbidden
                    description: Human-readable error message.
                    example: Forbidden
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
                description: Error response for requests blocked by authorization rules.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````